Changes between Initial Version and Version 1 of Ticket #14733, comment 5


Ignore:
Timestamp:
Feb 8, 2012, 2:42:50 AM (10 years ago)
Author:
ykami
Comment:

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #14733, comment 5

    initial v1  
    1 Well, sorry perhaps my explanation was insufficient. Almost all the cases, users use only the lazy="true" option. The parser knows what modules to load by looking at dojoType. 'requires' is basically unnecessary in usual use cases. Exception is when you need to load missing _base modules. That could happen, at least in older dojo, when you do customBase build and widgets have no explicit deps list for the _base modules. This may not happen with newer dojo even in the sync loader mode any longer, but users may have old widgets or want to use it for other purposes, which I don't know.
     1Well, sorry perhaps my explanation was insufficient. Almost all the cases, users use only the lazy="true" option. lazyLoadUtils knows what modules to load by looking at dojoType. 'requires' is basically unnecessary in usual use cases. Exception is when you need to load missing _base modules. That could happen, at least in older dojo, when you do customBase build and widgets have no explicit deps list for the _base modules. This may not happen with newer dojo even in the sync loader mode any longer, but users may have old widgets or want to use it for other purposes, which I don't know.